Bug 164738 - f2c/f77 intrinsics are missing
f2c/f77 intrinsics are missing
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-31 05:50 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 08:26:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2005-07-31 05:50:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.8) Gecko/20050623 Fedora/1.0.4-5 Firefox/1.0.4

Description of problem:
Some usefull (at least used in thee cernlib) f2c/f77 intrinsics are not in gfortran. See:

http://gcc.gnu.org/onlinedocs/gcc-3.4.4/g77/f77_002ff2c-Intrinsics.html#f77_002ff2c-Intrinsics

The ones I think that should be implemented are or, and xor, lshift, rshift.

They are listed in the gfortran meta-bug
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=19292

Version-Release number of selected component (if applicable):
gcc-gfortran-4.0.1-6

How reproducible:
Always

Steps to Reproduce:
1.use such non standard intrinsic
2.
3.
  

Actual Results:  a link error

Additional info:
Comment 1 Jakub Jelinek 2005-09-13 08:26:53 EDT
This is already tracked upstream and should be handled there.

Note You need to log in before you can comment on or make changes to this bug.